# Enum goog.net.XmlHttp.ReadyState

code »

Type: `number`

Status constants for XMLHTTP, matches: http://msdn.microsoft.com/library/default.asp?url=/library/ en-us/xmlsdk/html/0e6a34e4-f90c-489d-acff-cb44242fafc6.asp

## Values and Descriptions

COMPLETE
  Constant for when xmlhttprequest.readyState is completed
INTERACTIVE
  Constant for when xmlhttprequest.readyState is in an interactive state.
LOADED
  Constant for when xmlhttprequest.readyState is loaded.
LOADING
  Constant for when xmlhttprequest.readyState is loading.
UNINITIALIZED
  Constant for when xmlhttprequest.readyState is uninitialized

Show:PublicProtectedPrivate